be.ehealth.technicalconnector.service.etee.impl

## Class AbstractEndToEndCrypto

- java.lang.Object
- - be.ehealth.technicalconnector.service.etee.impl.AbstractEndToEndCrypto

- All Implemented Interfaces:
    Crypto, ConfigurableImplementation
  Direct Known Subclasses:
    CryptoImpl

      public abstract class AbstractEndToEndCrypto
      extends Object
      implements Crypto

  Abstract class that extracts all the utility methods

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface be.ehealth.technicalconnector.service.etee.Crypto

      `Crypto.SigningPolicySelector`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROP_DUMP_FIRST_CHARS` Property to specify the number of characters that will be dumped in the logs.
    `static String` | `PROP_DUMP_MESSAGES` Property to specify if the message must be dumped in the logs

    - ### Fields inherited from interface be.ehealth.technicalconnector.service.etee.Crypto

      `DATASEALER_CREDENTIAL, DATAUNSEALER_PKMAP, OCSP_OPTIONMAP, OCSP_POLICY, SIGNING_OPTIONMAP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEndToEndCrypto()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `seal(Crypto.SigningPolicySelector type, EncryptionToken encryptionToken, byte[] content)`
    `byte[]` | `seal(Crypto.SigningPolicySelector type, KeyResult symmKey, byte[] content)`
    `byte[]` | `seal(Crypto.SigningPolicySelector type, Set<EncryptionToken> paramEncryptionTokenSet, byte[] content)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface be.ehealth.technicalconnector.service.etee.Crypto

      `seal, unseal, unseal`

    - ### Methods inherited from interface be.ehealth.technicalconnector.utils.ConfigurableImplementation

      `initialize`

- - ### Field Detail

    - #### PROP_DUMP_MESSAGES

          public static final String PROP_DUMP_MESSAGES

      Property to specify if the message must be dumped in the logs

      Default::false

      See Also:
        Constant Field Values

    - #### PROP_DUMP_FIRST_CHARS

          public static final String PROP_DUMP_FIRST_CHARS

      Property to specify the number of characters that will be dumped in the logs.

      Default:50

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractEndToEndCrypto

          public AbstractEndToEndCrypto()

  - ### Method Detail

    - #### seal

          public byte[] seal(Crypto.SigningPolicySelector type,
                             KeyResult symmKey,
                             byte[] content)
                      throws TechnicalConnectorException

      Specified by:
        `seal` in interface `Crypto`
      Throws:
        `TechnicalConnectorException`

    - #### seal

          public byte[] seal(Crypto.SigningPolicySelector type,
                             EncryptionToken encryptionToken,
                             byte[] content)
                      throws TechnicalConnectorException

      Specified by:
        `seal` in interface `Crypto`
      Throws:
        `TechnicalConnectorException`

    - #### seal

          public byte[] seal(Crypto.SigningPolicySelector type,
                             Set<EncryptionToken> paramEncryptionTokenSet,
                             byte[] content)
                      throws TechnicalConnectorException

      Specified by:
        `seal` in interface `Crypto`
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.